﻿<!-- templates/my_browse.html -->
{% extends 'base.html' %}

{% block title %} 浏览记录 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap">
	<div class="page-content">
		<main class="main-content">
			<section class="section-featured-products">
				<div class="container">
					<div class="section-title text-center">
						{% if prod_list %}
						<h2 class="h3 section-title__heading">浏览记录如下</h2>
						{% else %}
						<h2 class="h3 section-title__heading">您暂时没有浏览记录</h2>
						{% endif %}
					</div>
					<ul class="products featured-products columns-4">
						{%for prod in prod_list%}
						{% if prod.identity_ok %}

						<li class="product">
							<br>
							<h4>浏览记录{{loop.index}}：</h4>
							<div class="product-thumb col">
								<a href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}"
									class="product-thumb__link">
									<div class="procDisplay">
										<img src="{{ url_for('static',filename=prod.img) }}" alt="">
									</div>
									<span class="btn btn-outline-light shop-link">Detail</span>
								</a>
							</div>
							<div class="product-title"><a
									href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}">商品名称：{{prod.name}}</a>
							</div>
							<div class="price">
								<span class="amount">价格：{{prod.price}}</span>
							</div>
						</li>
						{% endif %}
						{% endfor %}
					</ul>
			</section>
			<center><a href="{{ url_for('user.panel') }}" class="btn btn-primary mr-1 mb-3">返回个人中心</a></center>
			{% if prod_list %}
			<center><a href="edit_my_browse" class="btn btn-primary mr-1 mb-3">删除浏览记录</a></center>
			{% endif %}
		</main> <!-- end of main -->
	</div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}
